using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Pipeline.SalesTeam.Cqrs;

public class CreateSalesTeamValidator : AbstractValidator<CreateSalesTeamRequest>
{
    public CreateSalesTeamValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Team Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}